Last Comment Bug 251511 - "Setting Proxy Values" has outdated block of text in wrong place
: "Setting Proxy Values" has outdated block of text in wrong place
Status: RESOLVED FIXED
: fixed-seamonkey2.0.6
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Ian Neal
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-14 23:41 PDT by benc
Modified: 2010-05-25 00:57 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Clean up somewhat the references (4.01 KB, patch)
2006-07-10 02:33 PDT, Giacomo Magnini
iann_bugzilla: review-
Details | Diff | Splinter Review
Remove duplicated section patch v0.2 (5.03 KB, patch)
2010-05-04 17:16 PDT, Ian Neal
no flags Details | Diff | Splinter Review
No subsection patch v0.2a (5.82 KB, patch)
2010-05-05 13:29 PDT, Ian Neal
stefanh: review+
Details | Diff | Splinter Review
No subsection for commit patch v0.2b [Checkin: comments 13+14] (5.82 KB, patch)
2010-05-05 14:10 PDT, Ian Neal
iann_bugzilla: review+
kairo: approval‑seamonkey2.0.6+
kairo: approval‑seamonkey2.1a1+
Details | Diff | Splinter Review

Description benc 2004-07-14 23:41:18 PDT
From the bundled help files:

                o No Proxy for: Type the domains that you do not want to use a
proxy for. Separate each domain with a comma. (Example: .yourcompany.com,
.yourcompany.co.nz)
          * Automatic proxy configuration URL: Choose this if you have a proxy
configuration file or URL, then type the configuration URL.

Domain names are the part of a URL that contains the name of an organization,
business, or school—such as netscape.com or washington.org. If you use local
host names without the domain name, list them the same way. Use commas to
separate multiple host names. The wildcard character [*] cannot be used.

I think the Auto Proxy stuff got lost. Also, the last paragraph is kind of out
of date, follow the link on this page to "Advanced Preferences | Proxy" to see
what the current feature description is.

(Why do we have two sections that are almost identical anyhow?)
Comment 1 benc 2004-08-31 01:41:50 PDT
Looking at this further:

Search help files for "proxy" and get 4 hits.

"proxy" - glossary definition
"proxy preferences" - help file for prefs panel
"Setting Proxy Values"
"setting proxy values" - dupe entries for a subsection of "Browsing the Web".

The last section (which I think is a needless dupe) is the content I am quoting
here.
Comment 2 Giacomo Magnini 2005-10-06 03:57:16 PDT
This seems fixed elsewhere to me: can anyone please verify and close the bug?
Thanks.
Comment 3 Giacomo Magnini 2006-07-10 02:33:27 PDT
Created attachment 228658 [details] [diff] [review]
Clean up somewhat the references

The duplicated content is still there, and I think it should stay so, because the paragraph in nav_help will get you started on using proxies with the browser, while che advanced preferences are explained in another file.
This patch cleans up the index and remove a useless contentbox & h1 heading for proxies, adding that paragraph to the "improve speed and efficency" chapter of the nav_help.
Comment 4 Ian Neal 2006-07-11 15:14:59 PDT
(In reply to comment #3)
> Created an attachment (id=228658) [edit]
> Clean up somewhat the references
> 
> The duplicated content is still there, and I think it should stay so, because
> the paragraph in nav_help will get you started on using proxies with the
> browser, while che advanced preferences are explained in another file.
> This patch cleans up the index and remove a useless contentbox & h1 heading for
> proxies, adding that paragraph to the "improve speed and efficency" chapter of
> the nav_help.
> 

I'm not convinced that "Using Proxies" belongs in a chapter on improving speed and efficency. If you were to move it, having taken away an entry in one chapter, you will need to add an entry to the contents box for the chapter it goes in.
Comment 5 Giacomo Magnini 2006-07-11 21:31:45 PDT
(In reply to comment #4)
> I'm not convinced that "Using Proxies" belongs in a chapter on improving speed
> and efficency. If you were to move it, having taken away an entry in one
> chapter, you will need to add an entry to the contents box for the chapter it
> goes in.

You mean this:
+++ extensions/help/resources/locale/en-US/nav_help.xhtml	10 Jul 2006 09:28:58 -0000
@@ -1416,16 +1416,17 @@
...
+    <li><a href="#using_proxies">Using proxies</a></li>
   </ul>
 </div>
?

Or the missing entry in help-index1 (removing the one about proxy)?
Anyway, if that chapter doesn't fit, I guess we should just point to the prefs settings, bringing over the few missing text paragraph from nav_help (about organizations and the explanation of the use of domain names). Just my €.02...
Comment 6 Giacomo Magnini 2006-07-11 21:34:33 PDT
(In reply to comment #5)
> Or the missing entry in help-index1 (removing the one about proxy)?

help-toc, sorry.
Comment 7 Ian Neal 2010-05-04 17:16:41 PDT
Created attachment 443508 [details] [diff] [review]
Remove duplicated section patch v0.2

This patch:
* Removes section that is duplicated in the Advance Prefs - Proxy section
* Renames section from "Setting Proxy Values" to "Using Proxies"
Comment 8 Stefan [:stefanh] 2010-05-05 12:46:06 PDT
Comment on attachment 443508 [details] [diff] [review]
Remove duplicated section patch v0.2

 <h1 id="proxies">Proxies</h1>
 
 <div class="contentsBox">In this section:
   <ul>
-    <li><a href="#setting_proxy_values">Setting Proxy Values</a></li>
+    <li><a href="#using_proxies">Using Proxies</a></li>
   </ul>
 </div>
 
 <p>This section explains how to work with proxies.</p>
 
-<h2 id="setting_proxy_values">Setting Proxy Values</h2>
+<h2 id="using_proxies">Using Proxies</h2>

One thought: How about keeping the <h1/>, removing the whole contentsBox, paragraph (kind of wrong anyway, since we don't explain how to work with proxies here) and secondary heading? Or having "Using Proxies" as a main header? I'm in the middle, but it feels kind of an overkill having an index for 1 section...
Comment 9 Ian Neal 2010-05-05 13:29:08 PDT
Created attachment 443709 [details] [diff] [review]
No subsection patch v0.2a

Changes since v0.2:
* Made subsection a section.
Comment 10 Stefan [:stefanh] 2010-05-05 13:48:20 PDT
Comment on attachment 443709 [details] [diff] [review]
No subsection patch v0.2a

 <p>This section explains how to work with proxies.</p>
I think we can just remove this.

-<p>For more information on using the Proxy preferences panel, see
+<p>For information on setting the proxy preferences, see
As discussed: "For information on setting your proxy preferences, see"
Comment 11 Ian Neal 2010-05-05 14:10:57 PDT
Created attachment 443724 [details] [diff] [review]
No subsection for commit patch v0.2b [Checkin: comments 13+14]

Changes since v0.2a:
* As per reviewer's comments.
Comment 12 Ian Neal 2010-05-05 14:13:02 PDT
Comment on attachment 443724 [details] [diff] [review]
No subsection for commit patch v0.2b [Checkin: comments 13+14]

Requesting a= for SM2.1a1, help patch should not affect stability.
Comment 13 Ian Neal 2010-05-05 15:15:08 PDT
Comment on attachment 443724 [details] [diff] [review]
No subsection for commit patch v0.2b [Checkin: comments 13+14]

Checkin to trunk http://hg.mozilla.org/comm-central/rev/6f07e8fee4d0
Requesting a-SM2.0.6 too
Comment 14 Ian Neal 2010-05-24 16:11:57 PDT
Comment on attachment 443724 [details] [diff] [review]
No subsection for commit patch v0.2b [Checkin: comments 13+14]

http://hg.mozilla.org/releases/comm-1.9.1/rev/e3453cf8701a

Note You need to log in before you can comment on or make changes to this bug.